curl -X POST "https://api.scanova.io/bulk-operation/quick-action/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"operation": "organize",
"qr_id_list": ["a1b2c3d4", "e5f6g7h8"],
"folder": 12
}'
{
"operation_id": "bo-qa-001",
"message": ["Your request is being processed. We'll email you once it's ready."]
}
批量操作
执行批量快捷操作
POST /bulk-operation/quick-action/
POST
/
bulk-operation
/
quick-action
/
curl -X POST "https://api.scanova.io/bulk-operation/quick-action/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"operation": "organize",
"qr_id_list": ["a1b2c3d4", "e5f6g7h8"],
"folder": 12
}'
{
"operation_id": "bo-qa-001",
"message": ["Your request is being processed. We'll email you once it's ready."]
}
在 Management API 主机(
异步——轮询列出批量操作获取
api.scanova.io)上异步对大量 QR 码一次性应用一项快捷操作,使用您的原始 Management API 密钥进行身份验证。
POST https://api.scanova.io/bulk-operation/quick-action/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
string
必填
apply_design、organize 或 delete 之一。object
一个已保存的过滤器,用于选择要操作哪些 QR 码,作为
qr_id_list 的替代方式。string
一个搜索词,用于选择要操作哪些 QR 码,作为
qr_id_list 的替代方式。"all" 选择所有拥有的 QR 码。string
现有批量操作的
operation_id——对该操作所生成的 QR 码进行操作。string
当
operation 为 apply_design 时必填——要应用的设计图案数据。integer
当
operation 为 organize 时必填——目标文件夹 id,必须属于该账户。curl -X POST "https://api.scanova.io/bulk-operation/quick-action/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"operation": "organize",
"qr_id_list": ["a1b2c3d4", "e5f6g7h8"],
"folder": 12
}'
{
"operation_id": "bo-qa-001",
"message": ["Your request is being processed. We'll email you once it's ready."]
}
status/progress。如果 operation 值无效,或所选操作缺少所需的 folder/pattern_info,则返回 400。
对于套餐中不支持软删除恢复的 QR 码,
delete 操作不可撤销——在使用 operation: "delete" 调用之前请确认目标选择。相关内容
- 批量下载 QR 码——相同的目标选择参数,改为下载而非操作。
- 将拥有的 URL QR 码导出为 CSV——获取
qr_id_list的快捷 id 来源。 - 列出批量操作——轮询完成状态。
- Management API 概览——适用于此端点的身份验证方案和配额规则。
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
响应
Quick action started.
此页面对您有帮助吗?